> ## Documentation Index
> Fetch the complete documentation index at: https://mvnt.studio/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Motion



## OpenAPI

````yaml /openapi.json post /generate-motion
openapi: 3.1.0
info:
  title: MVNT Inference Server
  version: 2.1.0
servers: []
security: []
paths:
  /generate-motion:
    post:
      summary: Generate Motion
      operationId: generate_motion_generate_motion_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_generate_motion_generate_motion_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_generate_motion_generate_motion_post:
      properties:
        file:
          type: string
          contentMediaType: application/octet-stream
          title: File
        model_version:
          type: string
          title: Model Version
          default: v11_gender
        style:
          type: string
          title: Style
          default: All
        seed:
          type: integer
          title: Seed
          default: -1
        guidance:
          type: number
          title: Guidance
          default: 2
        temperature:
          type: number
          title: Temperature
          default: 1
        save_hard_yaw_lock_variant:
          type: boolean
          title: Save Hard Yaw Lock Variant
          default: true
        no_cache:
          type: boolean
          title: No Cache
          default: false
        trim_start:
          type: number
          title: Trim Start
          default: 0
        trim_end:
          type: number
          title: Trim End
          default: 0
        mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Mode
        fast_mode:
          type: boolean
          title: Fast Mode
          default: false
        sampler:
          anyOf:
            - type: string
            - type: 'null'
          title: Sampler
        n_steps:
          type: integer
          title: N Steps
          default: 0
        idempotency_key:
          type: string
          title: Idempotency Key
          default: ''
      type: object
      required:
        - file
      title: Body_generate_motion_generate_motion_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````